// JavaScript Document

function GetID(nm)
{
	if (nm)
	{
		var s = location.hash;
		var nmIdx = s.indexOf(nm);
		if (nmIdx > -1){
	 		var rest = s.substr(nmIdx + nm.length);
			return new Number(rest);
		}
	}
}

function ModelOutput(Kind)
{
  this.Kind = Kind;
}

function Model(Description)
{
	this.Description = Description;
	this.Outputs = new Array();
}

function MOStr(MN, Out)
{
	var M = ModelList[MN],
		O = M.Outputs[Out],
		K = O.Kind,
		N = 1;
	for (var I = 0; I < Out; I++){
		if (M.Outputs[I].Kind == K){
			N++;
		}
	}
	return N;
}

function ControllerOutput(Trend, TrendOutput)
{
	this.Trend = Trend;
	if (TrendOutput > -1){
		this.TrendOutput = TrendOutput;
	}
	else{
		this.TrendOutput = -1;
	}
}

function Controller(Type, LampKind, SystemID)
{
	this.Type = Type;
	this.LampKind = LampKind;
	this.SystemID = SystemID;
	this.Outputs = new Array();
}

function TrendOutput(Controller, Output)
{
  this.Controller = Controller;
  this.Output = Output;
}

function Trend(Kind, CtrlI, CtrlU)
{
	this.Kind = Kind;
	this.CtrlI = CtrlI;
	this.CtrlU = CtrlU;
	this.Outputs = new Array();
	this.Times = new Array();
}

function TrendGroup(Kind)
{
	this.Kind = Kind;
	this.Trends = new Array();
}

function Step(IsCall, Phase, Tmin)
{
	this.IsCall = IsCall;
	this.Phase = Phase;
	this.Tmin = Tmin;
	this.TProms = new Array();
}

function Phase()
{
	this.Cycles = new Array();
}

function DayPlanItem(Time, Cycle)
{
	this.Time = Time;
	this.Cycle = Cycle;
}

function DayPlan(Description)
{
	this.Description = Description;
	this.Items = new Array();
}

function WeekPlanItem(DW, DayPlan)
{
	this.DW = DW;
	this.DayPlan = DayPlan;
}

function WeekPlan(Description)
{
	this.Description = Description;
	this.Items = new Array();
}

function YearPlanItem(Dt, WeekPlan)
{
	this.Dt = Dt;
	this.WeekPlan = WeekPlan;
}

var CreationDate = "00.00.0000 00:00:00",
        Description = "",
		ModelList = new Array(),
		ControllerList = new Array(),
		TrendGroupList = new Array(),
		CycleList = new Array(),
		DayPlanList = new Array(),
		WeekPlanList = new Array(),
		YearPlan = new Array(),
		TrendList = new Array(),
		ConflictList = new Array(),
		SystemID = 0,
		LampType = new Array(' ',''),
		ModelOutputStr = new Array('', '', ''),
		ModelOutputImg = new Array('RedLight.gif', 'YellowLight.gif', 'GreenLight.gif'),
		TrendOutputStr = new Array('.', '.', '.', '.', '.', '.', '.'),
		TrendOutputImg = new Array('RedLight.gif', 'YellowLight.gif', 'GreenLight.gif', 'UL.gif', 
		  'UM.gif', 'UR.gif', 'DM.gif'),
		TrendGroupKindStr = new Array('','',' ','',
		  '','',' '),
		TrendGroupImg = new Array('Transport.gif','Walkman.gif','WalkmanGB.gif','Arrow.gif',
		  'TramL.gif','Call.gif','ArrowGB.gif'),
		TrendKindStr = new Array('','','','C','','','','','',''),
		TrendImg = new Array('Transport.gif','Walkman.gif','WalkmanGB.gif',
		  'Arrow.gif','TramL.gif','TramU.gif','TramR.gif','TramStop.gif','Call.gif','ArrowGB.gif'),
		StepList = new Array(),
		PhaseList = new Array(),
		TPromImg = new Array('tpGreen.gif','tpGreen.gif','tpGreenBlink.gif',
			'tpYellow.gif','tpRed.gif','tpRed.gif','tpRed.gif','tpRedYellow.gif',
			'tpGreen.gif'),
		CycleList = new Array('  '),
		DayPlanList = new Array(),
		WeekPlanList = new Array(),
		YearPlan = new Array(),
		DWs = new Array('','','','','','','');		  
		
function Copyright(D)
{
	document.writeln('<p class="Copyright">  <font color="#0000CC">' +
	D +
	'</font>    <b><font color="#FF0000"><i>  </i></font></b>&#153; &copy2002&nbsp;<a href="http://y-soft.narod.ru">&nbsp</a></p> ');
}

function PageHeader(Items,Links){

document.write('<p class="NavBar">');
for (var I = 0; I < Items.length;I++) {
  if  (Links[I])//((I < Links.length)  && (Links[I] != ''))
  {
  	document.write('<a href="'+Links[I] +'">' + Items[I]+'</a>');
  }
  else
  {
  	document.write(Items[I]);
  }
  
  if(I < Items.length - 1)
  {
    document.write('<img src="Prev.gif" width="20" height="20" align="top">');
  }
}

document.write('</p>');}
		
